#include <stdio.h>
#include <Windows.h>
#include <string.h>
#include <stdlib.h>
#include <time.h>
#include <windowsx.h> 


__declspec(dllexport)
long WINAPI veryDecryptPDF(const char * inFileName, const char *outFileName,
			   const char *OwnerPassword, const char *UserPassword);
__declspec(dllexport)
BOOL WINAPI veryIsPDFEncrypted(const char * inFileName);

void GetModulePath(char *out_path,char *in_name)
{
	char *p;
	GetModuleFileName(NULL,out_path,256);
	p =strrchr(out_path,'\\');
	p[1]=0;
	strcat(out_path,in_name);
}

void main()
{
	char srcpath[_MAX_PATH];
	char despath[_MAX_PATH];

	memset(srcpath,0,_MAX_PATH);
	memset(despath,0,_MAX_PATH);

	//example 1
	GetModulePath(srcpath,"test1.pdf");
	GetModulePath(despath,"test1Decrypt.pdf");
	if(veryIsPDFEncrypted(srcpath))
		veryDecryptPDF(srcpath,despath,"owner","user");

	//example 2
	GetModulePath(srcpath,"test2.pdf");
	GetModulePath(despath,"test2Decrypt.pdf");
	if(veryIsPDFEncrypted(srcpath))
		veryDecryptPDF(srcpath,despath,"owner","user");
}